tag rc6
[openwrt/svn-archive/openwrt.git] / package / tinc / patches / 100-lzo2.patch
1 diff -ru tinc-1.0.4.orig/configure tinc-1.0.4/configure
2 --- tinc-1.0.4.orig/configure 2005-05-05 04:24:06.000000000 +1000
3 +++ tinc-1.0.4/configure 2005-11-13 18:34:21.000000000 +1100
4 @@ -11074,13 +11144,13 @@
5 done
6
7
8 - echo "$as_me:$LINENO: checking for lzo1x_1_compress in -llzo" >&5
9 -echo $ECHO_N "checking for lzo1x_1_compress in -llzo... $ECHO_C" >&6
10 -if test "${ac_cv_lib_lzo_lzo1x_1_compress+set}" = set; then
11 + echo "$as_me:$LINENO: checking for lzo1x_1_compress in -llzo2" >&5
12 +echo $ECHO_N "checking for lzo1x_1_compress in -llzo2... $ECHO_C" >&6
13 +if test "${ac_cv_lib_lzo2_lzo1x_1_compress+set}" = set; then
14 echo $ECHO_N "(cached) $ECHO_C" >&6
15 else
16 ac_check_lib_save_LIBS=$LIBS
17 -LIBS="-llzo $LIBS"
18 +LIBS="-llzo2 $LIBS"
19 cat >conftest.$ac_ext <<_ACEOF
20 /* confdefs.h. */
21 _ACEOF
22 @@ -11112,7 +11182,8 @@
23 cat conftest.err >&5
24 echo "$as_me:$LINENO: \$? = $ac_status" >&5
25 (exit $ac_status); } &&
26 - { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
27 + { ac_try='test -z "$ac_c_werror_flag"
28 + || test ! -s conftest.err'
29 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
30 (eval $ac_try) 2>&5
31 ac_status=$?
32 @@ -11124,21 +11195,21 @@
33 ac_status=$?
34 echo "$as_me:$LINENO: \$? = $ac_status" >&5
35 (exit $ac_status); }; }; then
36 - ac_cv_lib_lzo_lzo1x_1_compress=yes
37 + ac_cv_lib_lzo2_lzo1x_1_compress=yes
38 else
39 echo "$as_me: failed program was:" >&5
40 sed 's/^/| /' conftest.$ac_ext >&5
41
42 -ac_cv_lib_lzo_lzo1x_1_compress=no
43 +ac_cv_lib_lzo2_lzo1x_1_compress=no
44 fi
45 rm -f conftest.err conftest.$ac_objext \
46 conftest$ac_exeext conftest.$ac_ext
47 LIBS=$ac_check_lib_save_LIBS
48 fi
49 -echo "$as_me:$LINENO: result: $ac_cv_lib_lzo_lzo1x_1_compress" >&5
50 -echo "${ECHO_T}$ac_cv_lib_lzo_lzo1x_1_compress" >&6
51 -if test $ac_cv_lib_lzo_lzo1x_1_compress = yes; then
52 - LIBS="$LIBS -llzo"
53 +echo "$as_me:$LINENO: result: $ac_cv_lib_lzo2_lzo1x_1_compress" >&5
54 +echo "${ECHO_T}$ac_cv_lib_lzo2_lzo1x_1_compress" >&6
55 +if test $ac_cv_lib_lzo2_lzo1x_1_compress = yes; then
56 + LIBS="$LIBS -llzo2"
57 else
58 { { echo "$as_me:$LINENO: error: \"lzo libraries not found.\"" >&5
59 echo "$as_me: error: \"lzo libraries not found.\"" >&2;}
60 diff -ru tinc-1.0.4.orig/m4/lzo.m4 tinc-1.0.4/m4/lzo.m4
61 --- tinc-1.0.4.orig/m4/lzo.m4 2004-03-25 08:04:27.000000000 +1100
62 +++ tinc-1.0.4/m4/lzo.m4 2005-11-13 18:38:39.000000000 +1100
63 @@ -26,8 +26,8 @@
64 [AC_MSG_ERROR("lzo header files not found."); break]
65 )
66
67 - AC_CHECK_LIB(lzo, lzo1x_1_compress,
68 - [LIBS="$LIBS -llzo"],
69 + AC_CHECK_LIB(lzo2, lzo1x_1_compress,
70 + [LIBS="$LIBS -llzo2"],
71 [AC_MSG_ERROR("lzo libraries not found.")]
72 )
73 ])